Name:           clide
Version:        0.9
Release:        7%{?dist}
Summary:        Color and style highlighting program for text

Group:          Applications/Text
License:        GPLv3+
URL:            http://suso.suso.org/xulu/Clide
Source0:        http://suso.suso.org/programs/clide/downloads/clide-%{version}.tar.gz

# Makefile changes (sent upstream):
#  1. Preserve timestamps of the clide script and man page.
#  2. Don't compress the man page (this is done automatically).
#  3. Don't install doc files (this is done automatically).
Patch0:         clide-Makefile.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl

%description
clide is a program that will colorize ASCII text on the command line using ANSI
escape sequences and user defined and predefined expressions. Searches can
include Perl Compatible Regular Expressions.

%prep
%setup -q
%patch0 -p1

# Remove LICENSE, which states that clide is GPLv2+; upstream has confirmed that
# clide is GPLv3+, as the script itself says
rm -f LICENSE

%build
make manpages

%install
rm -rf %{buildroot}
make BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}/man1 rpminstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/clide
%doc CHANGELOG COPYING GOALS IDEAS README WARNING
%{_mandir}/man1/clide.1*

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun  8 2010 Richard Fearn <richardfearn@gmail.com> - 0.9-3
- Explicitly set BINDIR/MANDIR when installing

* Mon Jun  7 2010 Richard Fearn <richardfearn@gmail.com> - 0.9-2
- clide is GPLv3+; remove LICENSE file, which contradicts this
- Rename Makefile patch, and describe its purpose
- Don't compress the man page; this is done automatically
- Remove the doc file installation from the "rpminstall" target in the Makefile,
  not the "install" target

* Wed May 19 2010 Richard Fearn <richardfearn@gmail.com> - 0.9-1
- Initial package for Fedora
